Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.graphics
Class ImageLoaderEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.graphics.ImageLoaderEvent

All Implemented Interfaces:
  Serializable

public class ImageLoaderEvent
extends org.eclipse.swt.internal.SWTEventObject

Instances of this class are sent as a result of the incremental loading of image data.

Notes:

- The number of events which will be sent when loading images is not constant. It varies by image type, and for JPEG images it varies from image to image.
- For image sources which contain multiple images, the `endOfImage` flag in the event will be set to true after each individual image is loaded.

See Also:
  `ImageLoader`, `ImageLoaderListener`, Serialized Form

Field Summary
`boolean` | `endOfImage` If this flag is true, then the current image data has been completely loaded, otherwise the image data is only partially loaded, and further ImageLoader events will occur unless an exception is thrown
`ImageData` | `imageData` if the `endOfImage` flag is false, then this is a partially complete copy of the current `ImageData`, otherwise this is a completely loaded `ImageData`
`int` | `incrementCount` the zero-based count of image data increments -- this is equivalent to the number of events that have been generated while loading a particular image

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ImageLoaderEvent(ImageLoader source, ImageData imageData, int incrementCount, boolean endOfImage)` Constructs a new instance of this class given the event source and the values to store in its fields.

Method Summary
`String` | `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### imageData

    public ImageData imageData

  if the `endOfImage` flag is false, then this is a partially complete copy of the current `ImageData`, otherwise this is a completely loaded `ImageData`

### incrementCount

    public int incrementCount

  the zero-based count of image data increments -- this is equivalent to the number of events that have been generated while loading a particular image

### endOfImage

    public boolean endOfImage

  If this flag is true, then the current image data has been completely loaded, otherwise the image data is only partially loaded, and further ImageLoader events will occur unless an exception is thrown

Constructor Detail

### ImageLoaderEvent

    public ImageLoaderEvent(ImageLoader source,
                            ImageData imageData,
                            int incrementCount,
                            boolean endOfImage)

  Constructs a new instance of this class given the event source and the values to store in its fields.

Parameters:
  `source` - the ImageLoader that was loading when the event occurred
  `imageData` - the image data for the event
  `incrementCount` - the image data increment for the event
  `endOfImage` - the end of image flag for the event

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.